libinput 0.9.0 transition

Bug #1416274 reported by Jackson Doak on 2015-01-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
clutter-1.0 (Ubuntu)
Undecided
Unassigned
kwin (Ubuntu)
Undecided
Unassigned
libinput (Ubuntu)
Undecided
Timo Aaltonen
mutter (Ubuntu)
Undecided
Unassigned
weston (Ubuntu)
Undecided
Unassigned
Jackson Doak (noskcaj) on 2015-01-30
description: updated
Jackson Doak (noskcaj) on 2015-02-01
Changed in clutter-1.0 (Ubuntu):
status: New → In Progress
Changed in kwin (Ubuntu):
status: New → In Progress
Changed in libinput (Ubuntu):
status: New → In Progress
Changed in mutter (Ubuntu):
status: New → In Progress
Changed in weston (Ubuntu):
status: New → In Progress
Timo Aaltonen (tjaalton) on 2015-02-04
Changed in libinput (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kwin - 4:5.2.0.1-0ubuntu2

---------------
kwin (4:5.2.0.1-0ubuntu2) vivid; urgency=medium

  * Add disable_libinput_0-8.patch from upstream git. Temporarily drop
    libinut support as it's still experimental and needs more work for 0.9.0.
    LP: #1416274
 -- Jackson Doak <email address hidden> Sat, 31 Jan 2015 06:47:29 +1100

Changed in kwin (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package weston - 1.6.1-1ubuntu1

---------------
weston (1.6.1-1ubuntu1) vivid; urgency=medium

  * Add patches from upstream git to support new libinput. LP: #1416274
  * control: Bump libinput build-dependency.
 -- Jackson Doak <email address hidden> Sat, 31 Jan 2015 06:43:18 +1100

Changed in weston (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.14.3-0ubuntu3

---------------
mutter (3.14.3-0ubuntu3) vivid; urgency=medium

  * control.in: Bump libinput build-dep to pick the new version.
 -- Timo Aaltonen <email address hidden> Wed, 04 Feb 2015 11:48:35 +0200

Changed in mutter (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package clutter-1.0 - 1.20.0-1ubuntu1

---------------
clutter-1.0 (1.20.0-1ubuntu1) vivid; urgency=medium

  * d/p/git_evdev_use_libinput_merged_scroll_events.patch: git patch
    for libinput api changes. LP: #1416274
  * control.in: Bump libinput build-dependency.
 -- Jackson Doak <email address hidden> Fri, 30 Jan 2015 20:17:13 +1100

Changed in clutter-1.0 (Ubuntu):
status: In Progress → Fix Released
Timo Aaltonen (tjaalton) wrote :

transition complete

Changed in libinput (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers